Bug 970213 - Review Request: fros - Universal screencasting fronted with pluggable support for various backends
Review Request: fros - Universal screencasting fronted with pluggable support...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 13:37 EDT by Jiri Moskovcak
Modified: 2016-11-30 19:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jfilak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2013-06-03 13:37:54 EDT
Spec URL: http://jmoskovc.fedorapeople.org/fros.spec
SRPM URL: http://jmoskovc.fedorapeople.org/fros-1.0-1.fc19.src.rpm
Description: Universal screencasting fronted with pluggable support for various backends. 
The goal is to provide an unified access to as many screencasting backends as
possible while still keeping the same user interface so the user experience
while across various desktops and screencasting programs is seamless.
Fedora Account System Username: jmoskovc
Comment 1 Jakub Filak 2013-06-04 01:12:05 EDT
The package produces unowned directories:

$ rpm -qf /usr/lib/python2.7/site-packages/pyfros/plugins
file /usr/lib/python2.7/site-packages/pyfros/plugins is not owned by any package

Adding these lines to the spec file would help:
%dir %{python_sitelib}/pyfros
%dir %{python_sitelib}/pyfros/plugins
%dir %{python_sitelib}/%{name}-%{version}-py2.7.egg-info

But you can achieve this goal in various ways:
https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling


rpmlint found these relevant issues:
fros.src: W: spelling-error Summary(en_US) screencasting -> screen casting, screen-casting, screenwriting
fros.src: W: spelling-error Summary(en_US) pluggable -> plug gable, plug-gable, plugged
fros.src: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
fros.src: W: spelling-error %description -l en_US screencasting -> screen casting, screen-casting, screenwriting
fros.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
fros.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
fros.noarch: W: no-manual-page-for-binary fros 

I'm not a linguist but I would say that spelling errors should be fixed (packaging guidelines requires American English).
http://fedoraproject.org/wiki/Packaging:Guidelines#summary

Please consider adding a man page for fros binary.
http://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages


Regards
Jakub
Comment 2 Jakub Filak 2013-06-04 01:38:59 EDT
According to google all spelling errors are probably false positive. Excuse the pointless note about spelling errors in comment #1.
Comment 3 Jiri Moskovcak 2013-06-05 06:49:07 EDT
Uploaded fixed spec and srpm
Comment 4 Jakub Filak 2013-06-10 11:07:27 EDT
Please add a BuildRequires for python2-devel [1] and drop %{?_isa} macro from the subpackage dependencies because it makes the dependency arch specific.

[1] http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 5 Jiri Moskovcak 2013-06-10 15:40:44 EDT
Thanks for the patch, I've re-uploaded the new spec and src.rpm.
Comment 6 Jakub Filak 2013-06-11 04:20:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in fros-
     recordmydesktop , fros-gnome
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/jfilak/tmp/fros_review/970213-fros/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fros-1.0-1.fc19.noarch.rpm
          fros-recordmydesktop-1.0-1.fc19.noarch.rpm
          fros-gnome-1.0-1.fc19.noarch.rpm
fros-recordmydesktop.noarch: W: summary-not-capitalized C fros plugin for screencasting using recordmydesktop as a backend
fros-recordmydesktop.noarch: W: no-documentation
fros-gnome.noarch: W: summary-not-capitalized C fros plugin for screencasting using Gnome3 integrated screencaster
fros-gnome.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fros fros-recordmydesktop fros-gnome
fros.noarch: W: spelling-error Summary(en_US) screencasting -> screen casting, screen-casting, screenwriting
fros.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
fros.noarch: W: spelling-error Summary(en_US) pluggable -> plug gable, plug-gable, plugged
fros.noarch: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
fros.noarch: W: spelling-error %description -l en_US screencasting -> screen casting, screen-casting, screenwriting
fros.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
fros.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
fros.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
fros-recordmydesktop.noarch: W: spelling-error Summary(en_US) screencasting -> screen casting, screen-casting, screenwriting
fros-recordmydesktop.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
fros-recordmydesktop.noarch: W: summary-not-capitalized C fros plugin for screencasting using recordmydesktop as a backend
fros-recordmydesktop.noarch: W: spelling-error %description -l en_US screencasting -> screen casting, screen-casting, screenwriting
fros-recordmydesktop.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
fros-recordmydesktop.noarch: W: no-documentation
fros-gnome.noarch: W: spelling-error Summary(en_US) screencasting -> screen casting, screen-casting, screenwriting
fros-gnome.noarch: W: spelling-error Summary(en_US) screencaster -> screen caster, screen-caster, screenwriter
fros-gnome.noarch: W: summary-not-capitalized C fros plugin for screencasting using Gnome3 integrated screencaster
fros-gnome.noarch: W: spelling-error %description -l en_US screencasting -> screen casting, screen-casting, screenwriting
fros-gnome.noarch: W: spelling-error %description -l en_US screencaster -> screen caster, screen-caster, screenwriter
fros-gnome.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 20 warnings.
# echo 'rpmlint-done:'



Requires
--------
fros (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)

fros-recordmydesktop (rpmlib, GLIBC filtered):
    fros
    python(abi)

fros-gnome (rpmlib, GLIBC filtered):
    fros
    python(abi)



Provides
--------
fros:
    fros

fros-recordmydesktop:
    fros-recordmydesktop

fros-gnome:
    fros-gnome



Source checksums
----------------
https://github.com/mozeq/fros/archive/60d9d1c5578cd32f29ce85afbe4f6c543a97b313/fros-1.0-60d9d1c.tar.gz :
  CHECKSUM(SHA256) this package     : 22ea99496ea25d4b651b07afcfdf40dca4210ccf9c6cc876f8a01008f46c42d2
  CHECKSUM(SHA256) upstream package : 22ea99496ea25d4b651b07afcfdf40dca4210ccf9c6cc876f8a01008f46c42d2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 970213
Comment 7 Jiri Moskovcak 2013-06-11 08:26:48 EDT
New Package SCM Request
=======================
Package Name: fros
Short Description: Universal screencasting fronted with pluggable support for various backends
Owners: jmoskovc
Branches: f18 f19
Comment 8 Gwyn Ciesla 2013-06-11 08:42:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.